Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface JoinNode

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SnapshotElement

All Known Implementing Classes:
  JoinNodeImpl

    public interface JoinNode

extends SnapshotElement

A representation of the model object 'Join Node'. Join node correlates/joins several events.

The following features are supported:

- `Collectors`
- `Output Indices`
- `Handler`
- `Next`
- `Predicate`
- `Prev`
- `Join Inputs`

See Also:
  `SnapshotPackage.getJoinNode()`

Method Summary
`org.eclipse.emf.common.util.EList<JoinInputCollector>` | `getCollectors()` Returns the value of the 'Collectors' containment reference list.
`Handler` | `getHandler()` Returns the value of the 'Handler' reference.
`org.eclipse.emf.common.util.EList<JoinInput>` | `getJoinInputs()` Returns the value of the 'Join Inputs' reference list.
`JoinNode` | `getNext()` Returns the value of the 'Next' reference.
`org.eclipse.emf.common.util.EList<Integer>` | `getOutputIndices()` Returns the value of the 'Output Indices' attribute list.
`Predicate` | `getPredicate()` Returns the value of the 'Predicate' containment reference.
`org.eclipse.emf.common.util.EList<JoinNode>` | `getPrev()` Returns the value of the 'Prev' reference list.
`void` | `setHandler(Handler value)` Sets the value of the '`Handler`' reference.
`void` | `setNext(JoinNode value)` Sets the value of the '`Next`' reference.
`void` | `setPredicate(Predicate value)` Sets the value of the '`Predicate`' containment reference.

Methods inherited from interface com.hammurapi.eventbus.snapshot.SnapshotElement
`getDetails, getId, getName, getSnapshot, setDetails, setId, setName, setSnapshot`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCollectors

    org.eclipse.emf.common.util.EList<JoinInputCollector> getCollectors()

  Returns the value of the 'Collectors' containment reference list. The list contents are of type `JoinInputCollector`.

  If the meaning of the 'Collectors' containment reference list isn't clear, there really should be more of a description here...

  Collectors of input events

  Returns:
    the value of the 'Collectors' containment reference list.
  See Also:
    `SnapshotPackage.getJoinNode_Collectors()`

### getOutputIndices

    org.eclipse.emf.common.util.EList<Integer> getOutputIndices()

  Returns the value of the 'Output Indices' attribute list. The list contents are of type `Integer`.

  If the meaning of the 'Output Indices' attribute list isn't clear, there really should be more of a description here...

  Indexes of events which this node outputs.

  Returns:
    the value of the 'Output Indices' attribute list.
  See Also:
    `SnapshotPackage.getJoinNode_OutputIndices()`

### getHandler

    Handler getHandler()

  Returns the value of the 'Handler' reference. It is bidirectional and its opposite is '`Join Node`'.

  If the meaning of the 'Handler' reference isn't clear, there really should be more of a description here...

  Node's output handler.

  Returns:
    the value of the 'Handler' reference.
  See Also:
    `setHandler(Handler)`, `SnapshotPackage.getJoinNode_Handler()`, `Handler.getJoinNode()`

### setHandler

    void setHandler(Handler value)

  Sets the value of the '`Handler`' reference.

  Parameters:
    `value` - the new value of the 'Handler' reference.
  See Also:
    `getHandler()`

### getNext

    JoinNode getNext()

  Returns the value of the 'Next' reference. It is bidirectional and its opposite is '`Prev`'.

  If the meaning of the 'Next' reference isn't clear, there really should be more of a description here...

  Next join node. Join node can output either to a handler or to another join node.

  Returns:
    the value of the 'Next' reference.
  See Also:
    `setNext(JoinNode)`, `SnapshotPackage.getJoinNode_Next()`, `getPrev()`

### setNext

    void setNext(JoinNode value)

  Sets the value of the '`Next`' reference.

  Parameters:
    `value` - the new value of the 'Next' reference.
  See Also:
    `getNext()`

### getPredicate

    Predicate getPredicate()

  Returns the value of the 'Predicate' containment reference. Join predicate.

  Returns:
    the value of the 'Predicate' containment reference.
  See Also:
    `setPredicate(Predicate)`, `SnapshotPackage.getJoinNode_Predicate()`

### setPredicate

    void setPredicate(Predicate value)

  Sets the value of the '`Predicate`' containment reference.

  Parameters:
    `value` - the new value of the 'Predicate' containment reference.
  See Also:
    `getPredicate()`

### getPrev

    org.eclipse.emf.common.util.EList<JoinNode> getPrev()

  Returns the value of the 'Prev' reference list. The list contents are of type `JoinNode`. It is bidirectional and its opposite is '`Next`'.

  If the meaning of the 'Prev' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prev' reference list.
  See Also:
    `SnapshotPackage.getJoinNode_Prev()`, `getNext()`

### getJoinInputs

    org.eclipse.emf.common.util.EList<JoinInput> getJoinInputs()

  Returns the value of the 'Join Inputs' reference list. The list contents are of type `JoinInput`. It is bidirectional and its opposite is '`Join Node`'.

  If the meaning of the 'Join Inputs' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Join Inputs' reference list.
  See Also:
    `SnapshotPackage.getJoinNode_JoinInputs()`, `JoinInput.getJoinNode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD